{% extends 'admin/_layout/layout_admin.html.twig' %}

{% block title %}Create a plan {{ parent() }}{% endblock %}

{% block content %}

    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Create a plan</h1>
    </div>

    {% embed 'admin/_component/flash.html.twig' %}{% endembed %}

    {{ form_start(createPlanForm) }}
    {{ form_rest(createPlanForm) }}
    <button type="submit" class="btn btn-primary">Create</button>
    {{ form_end(createPlanForm) }}

    <h2 class="mt-5">Plan List</h2>
    <div class="table-responsive">
        <table class="table table-striped table-sm">
            <thead>
            <tr>
                <th>#</th>
                <th>Name</th>
                <th>Price</th>
                <th>Billing Cycle</th>
                <th>Created On</th>
                <th>Actions</th>
            </tr>
            </thead>
            <tbody>

            {% for plan in plans %}
            <tr>
                <td>{{ plan.planId }}</td>
                <td>{{ plan.name }}</td>
                <td>${{ (plan.price.amount / 100) | number_format(2) }} {{ plan.price.currency }}</td>
                <td>{{ plan.billingCycle }}</td>
                <td>{{ plan.createdAt | date('d-m-Y H:i:s') }}</td>
                <td><a href="#">See product associated to this plan</a></td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}
